Subject: Re: bug#68985: 30.0.50; Gnus: Add option to disable display of logo image in mode-line

From: Manuel Giraud <[email-masked]>
Date: Fri, 09 Feb 2024 11:30:24 +0100

Eric Abrahamsen <[email-masked]> writes:

[...]

> If we're going down this path, I'd rather expand the scope a little bit
> with a customize option that defaults to this value:
>
> '((:type svg :file "gnus-pointer.svg"
>         :ascent center)
>  (:type xpm :file "gnus-pointer.xpm"
>         :ascent center)
>  (:type xbm :file "gnus-pointer.xbm"
>         :ascent center))
>
> which is passed to `find-image'. This would allow users to put their own
> images in there, if that was something they wanted to do, or set the
> option to nil for no icon.
>
> What do people think of that? Would you be willing to do that as a
> patch, Mekeor?

Hi,

I did not know that passing nil to `find-image' would nuke the icon but
then, I think it is an even better idea:

      - From the point of view of a user that do not want the icon, it
        would still be « set some custom to nil »
        
      - It would allow funky icons for those who wants them

We just have to have a name for this new custom.  I vote for
`gnus-mode-line-logo'.
-- 
Manuel Giraud